# ------------------------------------------------------------------------------
# Wekan:
# ------------------------------------------------------------------------------

## Define serviceAccount names to create or use. Defaults to component's fully
## qualified name.
##
serviceAccounts:
  create: true
  name: ""
  annotations: ""

## Wekan image configuration
##
image:
  repository: quay.io/wekan/wekan
  tag: v6.27
  pullPolicy: IfNotPresent

## Configuration for wekan component
##

replicaCount: 1
dbname: wekan

## Specify additional environmental variables for the Deployment
##
env:
  - name: ""
    value: ""

## Specify additional secret environmental variables for the
## Deployment. These can e.g. be provided by a Secret and allow
## to store passwords separately
##
secretEnv: {}
  # - name: ""
  #   value: ""

service:
  type: NodePort
  port: 8080
  annotations: {}
    # prometheus.io/scrape: "true"
    # prometheus.io/port: "8000"
    # prometheus.io/path: "/_/monitoring/metrics"

## Comma-separated string of allowed virtual hosts for external access.
## This should match the ingress hosts
##
endpoint: wekan.local

ingress:
  enabled: true
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  path: /*
  pathtype: ImplementationSpecific
  # This must match 'endpoint', unless your client supports different
  # hostnames.
  hosts: [ wekan.local ]
    # - wekan.local
  tls: []
  #  - secretName: wekan-example-tls
  #    hosts:
  #      - wekan-example.local

route:
  enabled: false

resources:
  requests:
    memory: 128Mi
    cpu: 300m
  limits:
    memory: 1Gi
    cpu: 500m

## Node labels for pod assignment
## ref: https://kubernetes.io/docs/user-guide/node-selection/
##
nodeSelector: {}

## Tolerations for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/
##
tolerations: []

## Affinity for pod assignment
## ref: https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#affinity-and-anti-affinity
##
affinity: {}

## Configure an horizontal pod autoscaler
##
autoscaling:
  enabled: true
  config:
    minReplicas: 1
    maxReplicas: 16
    ## Note: when setting this, a `resources.request.cpu` is required. You
    ## likely want to set it to `1` or some lower value.
    ##
    targetCPUUtilizationPercentage: 80

# Optional custom labels for the deployment resource.
deploymentLabels: {}

# Optional custom labels for the pods created by the deployment.
podLabels: {}

# ------------------------------------------------------------------------------
# MongoDB:
# ------------------------------------------------------------------------------

mongodb:
  enabled: true
  architecture: replicaset
  replicaCount: 3
  replicaSetName: rs0
  auth:
    enabled: false
